--check-if-upgrade-is-needed

Overview

This is a command-line option for the mariadb-upgrade & mysql_upgrade commands.

Exits with status 0 if an upgrades is required, 1 otherwise.

See also: mariadb-upgrade & mysql_upgrade for MariaDB Enterprise Server 10.6, in 10.5 ES, in 10.4 ES, in 10.3 ES, in 10.2 ES, in 10.6 CS, in 10.5 CS, in 10.4 CS, in 10.3 CS, and in 10.2 CS

CHANGE HISTORY

Release Series

History

10.6 Enterprise

  • Added in MariaDB Enterprise Server 10.6.7-3.

10.6 Community

  • Added in MariaDB Community Server 10.6.6.

10.5 Enterprise

  • Added in MariaDB Enterprise Server 10.5.15-10.

10.5 Community

  • Added in MariaDB Community Server 10.5.14.

10.4 Enterprise

  • Added in MariaDB Enterprise Server 10.4.24-15.

10.4 Community

  • Added in MariaDB Community Server 10.4.23.

10.3 Enterprise

  • Added in MariaDB Enterprise Server 10.3.34-15.

10.3 Community

  • Added in MariaDB Community Server 10.3.33.

10.2 Enterprise

  • Added in MariaDB Enterprise Server 10.2.43-15.

10.2 Community

  • Added in MariaDB Community Server 10.2.42.